%define upstream_name    Graph
%define upstream_version 0.9704

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Graph data structures and algorithms in perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Graph/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::Util)
BuildRequires: perl(Math::Complex)
BuildRequires: perl(Safe)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable) >= 2.50.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module is not for drawing any sort of graphics, but instead it is for
creating abstract data structures called graphs, and for doing various
operations on those.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%{makeinstall_std}

%files
%doc Changes DESIGN META.json META.yml MYMETA.yml README RELEASE TODO
%{perl_vendorlib}/Graph
%{perl_vendorlib}/Graph.*
%{perl_vendorlib}/Heap071
%{perl_vendorlib}/auto/Heap071
%{_mandir}/*/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.970.400-4pclos2017
- rebuild against updates

